{% comment %} Possibilita o cadastro de imagem por banner, prevendo imagem para desktop e para mobile {% endcomment %}
{% comment %} Sem nenhum banner cadastrado, utiliza a imagem cadastrada na própria tag {% endcomment %}
{% assign top_banner_position = tag.name | append: '-banner-principal' %}
{% if mobile %}
  {% assign top_banner_position = tag.name | append: '-banner-principal-mobile' %}
{% endif %}

{% assign fullbanner_img = tag.image_url %}

{% load_banners position: top_banner_position limit: 1 %}
{% for banner in loaded_banners %}
  {% if banner.file_url != blank %}
    {% assign fullbanner_img = banner.file_url %}
  {% endif %}
{% endfor %}

{% assign upper_title = tag.subtitle %}
{% assign text_position = 'center' %}

{% if tag.subtitle contains '|' %}
  {% assign upper_title = tag.subtitle | split: '|' | first | strip %}
  {% assign text_position = tag.subtitle | split: '|' | last | strip %}
{% endif %}

{% if fullbanner_img == blank %}
  {% assign no_image = '-imageless' %}
{% else %}
  {% capture data_srcset %}
    {{ fullbanner_img | resize: '360x' }}
    360w,
    {{ fullbanner_img | resize: '480x' }}
    480w,
    {{ fullbanner_img | resize: '767x' }}
    767w,
    {{ fullbanner_img | resize: '991x' }}
    991w,
    {{ fullbanner_img | resize: '1280x' }}
    1280w,
    {{ fullbanner_img | resize: '1440x' }}
    1440w,
    {{ fullbanner_img | resize: '1920x' }}
    1920w,
    {{ fullbanner_img }}
    2000w
  {% endcapture %}

  {% capture data_sizes %}
    (max-width: 360px) 360px,
    (max-width: 480px) 480px,
    (max-width: 767px) 767px,
    (max-width: 991px) 991px,
    (max-width: 1280px) 1280px,
    (max-width: 1440px) 1440px,
    (max-width: 1920px) 1920px,
    2000px
  {% endcapture %}

  {% head %}
  <link rel="preload" as="image" href="{{ fullbanner_img }}" imagesrcset="{{ data_srcset | strip_newlines | strip }}" imagesizes="{{ data_sizes | strip_newlines | strip }}">
  {% endhead %}

  {% capture tag_fullbanner %}
    <figure class="image -horizontal">
      <img srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
    </figure>
  {% endcapture %}
{% endif %}

<div class="banner-topo {{ no_image }} -tag">
  {% if tag_fullbanner %}
    {{ tag_fullbanner }}
  {% endif %}

  <div class="text {{ no_image }}">
    <div class="container {{ text_position }}">
      <div class="content">
        {% if upper_title != blank %}
          <span class="upper-title">{{ upper_title }}</span>
        {% endif %}

        {% if tag.title != blank %}
          <h1 class="title">{{ tag.title }}</h1>
        {% endif %}

        {% if tag.description != blank and tag.type != "flag" %}
          <p class="description">
            {{ tag.description | strip_html }}
          </p>
        {% endif %}

        <p class="count-products description">
          <strong>{{ pagination.count }}</strong>
          {% if pagination.count == 1 %}
            produto encontrado
          {% else %}
            produtos encontrados
          {% endif %}
        </p>
      </div>
    </div>
  </div>
</div>
